import { OnInit, ElementRef, OnChanges, SimpleChanges, NgZone, EventEmitter, OnDestroy, Renderer2, KeyValueDiffers } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { EditorConfiguration, EditorFromTextArea } from "codemirror";
export declare class CodeMirrorComponent implements OnInit, ControlValueAccessor, OnChanges, OnDestroy {
    private elementRef;
    private ngZone;
    private renderer;
    private _differs;
    private _codeWrapElement;
    private _codemirrorContentObserver;
    private value;
    private onTouchedCallback;
    private onChangeCallback;
    autoMaxHeight: number;
    options: EditorConfiguration;
    delayRefreshTime: number;
    focusChange: EventEmitter<boolean>;
    textAreaRef: ElementRef;
    codemirrorClassName: boolean;
    editor: EditorFromTextArea;
    private _differ;
    private _codeMirror;
    get codeMirrorGlobal(): any;
    constructor(elementRef: ElementRef, ngZone: NgZone, renderer: Renderer2, _differs: KeyValueDiffers);
    ngOnInit(): void;
    ngOnChanges(simpleChanges: SimpleChanges): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: string): void;
    initializeCodemirror(): void;
    initializeAutoMaxHeight(): void;
    private applyEditorHeight;
    setOptionIfChanged(optionName: string, newValue: any): void;
    ngOnDestroy(): void;
}
//# sourceMappingURL=codemirror.component.d.ts.map